/***************************************************

  $Id: diag.h,v 1.4 2000/11/03 19:03:16 jens Exp $

  Copyright (C) 2001 Jens Thoms Toerring

  g_rhf is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.

  g_rhf is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with g_rhf; see the file COPYING.  If not, write to
  the Free Software Foundation, 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.

  Header file to be included for diag.c

****************************************************/

#if ! defined ( __DIAG__ )
#define __DIAG__


#include <math.h>
#include <stdlib.h>
#include "m_alloc.h"


int diagonalize( int n, DMATRIX a, double *eigenvalues );
void tridiagonalize( int n, DMATRIX a, double *d, double *e );
int diag_tridiag( int n, double *d, double *e, DMATRIX z );
int diag_errors( int n, DMATRIX del, double *d, double *e, DMATRIX q );
void sort_eigen_desc( int n, double *d, DMATRIX a );
void sort_eigen_asc( int n, double *d, DMATRIX a );
double pythag( double a, double b );


#endif
