/**************************************************************************

  $Id: m_alloc.h,v 1.5 2001/08/19 20:56:58 jens Exp $

  Copyright (C) 2001 Jens Thoms Toerring

  g_rhf is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.

  g_rhf is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with g_rhf; see the file COPYING.  If not, write to
  the Free Software Foundation, 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.

  Header file to be included for M_ALLOC.C

**************************************************************************/


#ifndef M_ALLOC_HEADER
#define M_ALLOC_HEADER


#include <stddef.h>
#include <stdlib.h>


typedef double **	DMATRIX;
typedef float **	FMATRIX;
typedef long **		LMATRIX;
typedef	int **		IMATRIX;
typedef	char **		CMATRIX;


DMATRIX dmatrix( long rows, long columns );
FMATRIX fmatrix( long rows, long columns );
LMATRIX lmatrix( long rows, long columns );
IMATRIX imatrix( long rows, long columns );
CMATRIX cmatrix( long rows, long columns );

#endif


