#!/usr/local/bin/perl -w
#
# $Id: spin_orbit.pl,v 1.2 2000/11/09 19:44:59 jens Exp $
#
# Copyright (C) 2001 Jens Thoms Toerring
#
# g_rhf is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# g_rhf is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with g_rhf; see the file COPYING.  If not, write to
# the Free Software Foundation, 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.


use strict;

local *F;
my @list;

open( F, "< $ARGV[ 0 ]" ) or exit;

while ( <F> ) {
	next if /^\s*#/ or /^\s*$/;
	s/\s+/ /g;
	/^\s*(.*)\b\s*$/;
	@list = split /\s+/, $1;
	$list[ 0 ] = -1 unless $list[ 0 ] =~ /^\d+$/;
	$list[ 1 ] = -1 unless $list[ 1 ] =~ /^[+-]?(\d+(\.\d*)?)|(.\d+)$/;
	print "$list[ 0 ] $list[ 1 ]\n";
}

